De nuevo hay que parchear VMware para que funcione con el kernel 2.6.22

Quizás la culpa sea mía por impaciente y pasarme al kernel 2.6.22, en lugar de quedarme, de momento, con el 2.6.21, con el cuál había conseguido hacer funcionar VMware.

El caso es que ya cansa que, aparte de tener que recompilar el módulo vmnet cada vez que se cambia de kernel, haya que buscarse la vida para parchear el código fuente tan a menudo.

Bueno, al menos esta vez ha sido relativamente rápido de encontrar. Todo se soluciona con el parche vmware-any-any-update113.tar.gz. Lo descomprimís:

tar xvfz vmware-any-any-update113.tar.gz

Y ejecutáis el script correspondiente:

cd vmware-any-any-update113
./runme.pl

Listo. Al menos hasta el próximo cambio de kernel…

Actualización 14/10/2007: Ya está disponible el patch vmware-any-any-update114 para kernels hasta el 2.6.23. Para instalarlo, hay que proceder igual que como se ha explicado más arriba.

Valora este apunte

3 comentarios en “De nuevo hay que parchear VMware para que funcione con el kernel 2.6.22

Deja un comentario